<script>
    // Imports
    import { arc, radialArea } from "d3-shape";
    import { scaleLinear, scaleRadial } from "d3-scale";
    import { extent } from "d3-array";

    // Global variables
    export let data = [];
    export let city;

    // Environment
      // Size and margins
    const width = 1000;
    const height = 250;
    const margin = { top: 0, right: 10, bottom: 10, left: 10 };
    const innerWidth = width - margin.left - margin.right;
    const innerHeight = height - margin.top - margin.bottom;

    // Local variables
    let maxRadius = 70;
    let whitespace = 5;

    // Data Manipulation
    data = data.filter(d => d.city == city);

  
    // Scales

    const xScale = scaleLinear()
        .range([0, 2 * Math.PI])
        .domain(extent(data, d => d.month))

    
    const yScaleHeating = scaleRadial()
        .range([0, maxRadius])
        .domain([0, 75000])
    
    const yScaleCooling = scaleRadial()
        .range([0, maxRadius])
        .domain([0, 75000])
   



    // Areas

    const areaCooling = radialArea()
        .angle(d => xScale(d.month))
        .innerRadius(0)
        .outerRadius(d => yScaleCooling(d.avgCool))

    const areaHeating = radialArea()
        .angle(d => xScale(d.month))
        .innerRadius(0)
        .outerRadius(d => yScaleHeating(d.avgHeat))

</script>

<svg viewBox="0 0 {width/3} {height}">
    
    <g transform="translate({margin.left}, {margin.top})">
       
        <g transform="translate(0,50)">
            <text class="title" x="50%" text-anchor="middle">{city} </text>
        </g>
        <g transform="translate({width/6},150)">
            <circle cx=0 cy=0 r={maxRadius + whitespace} fill="#66000000" fill-opacity=1 stroke="black"/> 
            <line x1=0 y1={-(maxRadius+whitespace)} x2=0 y2={maxRadius+whitespace} stroke="black" stroke-width=1/>
            <line x1={-(maxRadius+whitespace)} y1=0 x2={maxRadius+whitespace} y2=0 stroke="black" stroke-width=1/>
            <path d={areaCooling(data)} fill="blue" stroke="blue" fill-opacity=0.5 stroke-opacity=0.8/>
            <path d={areaHeating(data)} fill="red" stroke="red" fill-opacity=0.5 stroke-opacity=0.8/>

            <text class="legend" transform="translate(0,{-(maxRadius+whitespace+5)})">0</text>
            <text class="legend" transform="translate({(maxRadius+whitespace+8)},5)">3</text>
            <text class="legend" transform="translate(0,{(maxRadius+whitespace+15)})">6</text>
            <text class="legend" transform="translate({-(maxRadius+whitespace+8)},5)">9</text>

       

        </g>
    </g>

</svg>

<style>
    .title{
        font:  20px serif;
    }
    .legend{
        text-anchor: middle;
        font: 15px ;
    }

   
</style>
